## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developer.mindbridge.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### Query Task

#### cURL

```bash
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/tasks/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

#### Python

```python
import requests

url = "https://{tenant}.mindbridge.ai/api/v1/tasks/query"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/tasks/query', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/tasks/query",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>",\
    "Content-Type: application/json"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

#### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/tasks/query"

payload := strings.NewReader("{}").

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

#### Java

```java
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/tasks/query")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}").
  .asString();
```

#### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/tasks/query")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

### Response 200 - application/json

```json
{
  "pageNumber": 123,
  "totalPages": 123,
  "content": [
    {
      "id": "<string>",
      "version": 123,
      "creationDate": "2023-11-07T05:31:56Z",
      "lastModifiedDate": "2023-11-07T05:31:56Z",
      "createdUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "lastModifiedUserInfo": {
        "userId": "<string>",
        "userName": "<string>"
      },
      "engagementId": "<string>",
      "analysisResultId": "<string>",
      "analysisId": "<string>",
      "analysisTypeId": "<string>",
      "transaction": "<string>",
      "name": "<string>",
      "rowId": 123,
      "transactionId": 123,
      "assignedId": "<string>",
      "description": "<string>",
      "comments": [
        {
          "commentText": "<string>",
          "captured": "2023-11-07T05:31:56Z",
          "authorId": "<string>"
        }
      ],
      "sample": "<string>",
      "auditAreas": [
        "<string>"
      ],
      "assertions": [
        "<string>"
      ],
      "entryType": "<string>",
      "vendorName": "<string>",
      "customerName": "<string>",
      "invoiceRef": "<string>",
      "creditValue": 123,
      "debitValue": 123,
      "riskScores": {},
      "filterStatement": "<string>",
      "dueDate": "2023-12-25",
      "approverId": "<string>",
      "tags": [
        "<string>"
      ],
      "amounts": {}
    }
  ],
  "numberOfElements": 123,
  "totalElements": 123,
  "pageable": {
    "pageNumber": 123,
    "pageSize": 123,
    "offset": 123,
    "sort": {
      "sorted": true,
      "unsorted": true,
      "empty": true
    }
  },
  "pageSize": 123,
  "sort": {
    "sorted": true,
    "unsorted": true,
    "empty": true
  },
  "first": true,
  "last": true,
  "size": 123,
  "number": 123
}
```

### Authorizations

**Authorization**

- **Type:** header
- **Required:** Bearer authentication header in the form `Bearer <token>`, where `<token>` is your auth token.

### Query Parameters

- **page**: (integer)
  - Default: 0
  - Description: Zero-based page index (0..N)
  - Required range: `x >= 0`

- **size**: (integer)
  - Default: 20
  - Description: The size of the page to be returned
  - Required range: `x >= 1`

- **sort**: (string[])
  - Description: Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

### Body

- **application/json**: Options for body parameters based on requirements.

- **operator**: (enum<string>)
  - Required: Available options include `"$eq"`, `"$ne"`, `"$gt"`, etc.

### Response

- **200**: (application/json) OK
  - **pageNumber**: (integer<int32>)
  - **totalPages**: (integer<int32>)
  - **content**: (Task · object[])
